//=================================================================
//
// Copyright (c) Microsoft Corporation 1999 - All Rights Reserved.
//
//=================================================================

// for compatibility with Flight Sim timers

#define  timer_on FALSE

#define EXTERN_C extern "C"
#include "timer.h"
#undef START_TIME
#define START_TIME START_TIME_ALT

EXTERN_TIMER(grf_triangle);
EXTERN_TIMER(grf_polygon);
EXTERN_TIMER(grf_pickvertices);
EXTERN_TIMER(grf_settexture);
EXTERN_TIMER(grf_setrenderstate);
EXTERN_TIMER(grf_StepEdge);
EXTERN_TIMER(grf_CreateEdge);
EXTERN_TIMER(grf_DrawScanLine);
EXTERN_TIMER(grf_InitPolygon);
EXTERN_TIMER(grf_AreaTriangle);
EXTERN_TIMER(grf_foo);

EXTERN_TIMER(grf_alpha_affine_scan_line);
EXTERN_TIMER(grf_alpha_gouraud_scan_line);
EXTERN_TIMER(grf_alpha_flat_scan_line);
EXTERN_TIMER(grf_affine_scan_line);
EXTERN_TIMER(grf_perspective_scan_line);
EXTERN_TIMER(grf_affine_line_scan_line);
EXTERN_TIMER(grf_flat_scan_line);
EXTERN_TIMER(grf_gouraud_scan_line);
EXTERN_TIMER(grf_indexed_gouraud_scan_line);
EXTERN_TIMER(grf_affine_gouraud_scan_line);
EXTERN_TIMER(grf_perspective_gouraud_scan_line);

/* only used in asm files.
EXTERN_TIMER(grf_asm_alpha_affine_scan_line);
EXTERN_TIMER(grf_asm_affine_scan_line);
EXTERN_TIMER(grf_asm_affine_line_scan_line);
EXTERN_TIMER(grf_asm_perspective_scan_line);
EXTERN_TIMER(grf_asm_flat_scan_line);
EXTERN_TIMER(grf_asm_gouraud_scan_line);
EXTERN_TIMER(grf_asm_perspective_gouraud_scan_line);
*/
